Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class TextViewer.WidgetCommand

    java.lang.Object
      org.eclipse.jface.text.TextViewer.WidgetCommand

Enclosing class:
  TextViewer

protected class TextViewer.WidgetCommand
extends Object

Represents a replace command that brings the text viewer's text widget back in synchronization with text viewer's document after the document has been changed.

Field Summary
`DocumentEvent` | `event` The document event encapsulated by this command.
`int` | `length` The length of the event.
`String` | `preservedText` The replaced text segments of `event`.
`int` | `start` The start of the event.
`String` | `text` The inserted and replaced text segments of `event`.

Constructor Summary
`protected` | `TextViewer.WidgetCommand()`

Method Summary
`void` | `setEvent(DocumentEvent e)` Translates a document event into the presentation coordinates of this text viewer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### event

    public DocumentEvent event

  The document event encapsulated by this command.

### start

    public int start

  The start of the event.

### length

    public int length

  The length of the event.

### text

    public String text

  The inserted and replaced text segments of `event`.

### preservedText

    public String preservedText

  The replaced text segments of `event`.

Constructor Detail

### TextViewer.WidgetCommand

    protected TextViewer.WidgetCommand()

Method Detail

### setEvent

    public void setEvent(DocumentEvent e)

  Translates a document event into the presentation coordinates of this text viewer.

  Parameters:
    `e` - the event to be translated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.